mat-card {
  max-width: 750px;
  min-width: 550px;
  margin: 2em auto;
  text-align: center;
  background: linear-gradient(rgba(68, 80, 144, 0.75), rgba(68 80 144 / 15%)) transparent;
}

mat-form-field {
  display: block;
}

mat-error {
  columns: #ff7b52;
  font-size: 17px;
}

:host ::ng-deep {
  .mat-vertical-stepper-header .mat-step-icon {
    width: 35px;
    height: 35px;
  }

  & div.mat-step-icon .mat-icon {
    font-size: 20px;
    height: 20px;
    width: 26px;
  }
}

:host ::ng-deep {
  .mat-form-field-appearance-fill .mat-form-field-flex {
    border-radius: 20px !important;
    background-color: #6495ed7d;
  }

  & div.mat-form-field-wrapper {
    font-size: 20px;
  }
}

.mat-button {
  background: #00000021;
  height: 50px;
  width: 80px;
  margin-top: 30px;
}

:host ::ng-deep {
  .mat-stepper-vertical-line::before {
    border-left-color: #aadddd61;
  }
}

:host ::ng-deep {
  .mat-slide-toggle-content {
    color: white;
    font-size: 17px;
  }
}

.sliders {
  display: flex;
  justify-content: space-evenly;
}

:host ::ng-deep {
  .mat-button-wrapper {
    color: white;
    font-size: 20px;
  }
}

:host ::ng-deep {
  .mat-form-field-can-float .mat-form-field-autofill-control:-webkit-autofill+.mat-form-field-label-wrapper .mat-form-field-label {
    font-size: 23px;
    opacity: 1;
  }
  & .mat-form-field-appearance-fill.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label, .mat-form-field-appearance-fill.mat-form-field-can-float .mat-input-server:focus + .mat-form-field-label-wrapper .mat-form-field-label{
    font-size: 23px;
    opacity: 1;
  }
}

mat-icon {
  color: #000000;
}

:host ::ng-deep .mat-step-header {
  font-weight: 10px;

  & div.mat-step-label {
  font-size: 17px;
  color: #FFF;
  }

  & div.mat-step-label.mat-step-label-active.mat-step-label-selected {
  font-size: 17px;
  color: #FFF;
  }

  & div.mat-step-label.mat-step-label-active {
  font-size: 17px;
  color: #FFF;
  }

  & .mat-step-icon {
    background-color: #1fc6e0;
  }
}

.mat-stepper-vertical {
  background: linear-gradient(rgba(68, 80, 144, 0.75), rgba(68 80 144 / 15%)) transparent;
}

.mat-stepper-vertical {
  margin-top: 8px;
}

.mat-form-field {
  margin-top: 16px;
}

.genres-aligned{
  display: flex;
  justify-content: space-between;
  align-content: space-between;
  flex-wrap: nowrap;
}
  
.app-main-container {
  padding-top: 50px;
}

.mat-card-subtitle, .mat-card-content {
  font-size: 17px;
}
 
.create-button {
  margin-top: 90px;
  height: 55px;
  font-size: 17px;
  margin-top: 90px;
  background: fixed rgba(129, 0, 129, 0.89);
  opacity: 0.9;
}

.create-button:hover {
  margin-top: 90px;
  height: 55px;
  font-size: 17px;
  margin-top: 90px;
  background: fixed darkmagenta;
  opacity: 0.9;
}

.spinner-border-sm {
  width: 3rem;
  height: 3rem;
}

.result-content {
  margin-top: 50px;
}

.internal-error {
  font-size: 23px;
}

.bg-img {
  
  background-image: url("https://images.unsplash.com/photo-1541701494587-cb58502866ab?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1950&q=80");


  /* Center and scale the image nicely */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  position: absolute; 
  top: 0; 
  left: 0; 

  /* Preserve aspet ratio */
  min-width: 100%;
  min-height: 100%;
}
